
QGIS Application - Bug report #11527

Processing  - Regular points - QGIS freezes when clicking on "Open number input dialog"

2014-11-02 01:22 AM - Filipe Dias

Status: Closed

Priority: Normal

Assignee: Alexander Bruy

Category: Processing/QGIS

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 19797

Description

QGIS freezes when the user clicks on "Open number input dialog" from "Point spacing count"

History

#1 - 2014-11-02 04:21 AM - Giovanni Manghi

- Status changed from Open to Feedback

cannot confirm on osgeo4w/master. Will test also Linux.

#2 - 2014-11-02 06:10 AM - Filipe Dias

Step to reproduce: on "Input extent", select a layer loaded in the project and then press "Point spacing count". If you simply open and empty project and

press "point spacing count" it won't freeze.

#3 - 2014-11-02 10:52 AM - Giovanni Manghi

Filipe Dias wrote:

Step to reproduce: on "Input extent", select a layer loaded in the project and then press "Point spacing count". If you simply open and empty project

and press "point spacing count" it won't freeze.

still cannot confirm.

#4 - 2014-11-02 01:38 PM - Filipe Dias

I remembered than when I upgraded QGIS Master, I saw an installation error regarding libqgis-customwidgets. Can this be the cause?

#5 - 2014-11-02 01:39 PM - Filipe Dias

Im on Ubuntu 14.04 and installed QGIS Master from Ubuntugis nightly

#6 - 2014-11-03 05:03 AM - Alexander Bruy

2025-05-20 1/2



Looks like local issue. I tested on two computers and it is not reproducible. Please check other algorithms with numeric parameters.

#7 - 2014-11-03 06:22 AM - Filipe Dias

- Status changed from Feedback to Closed

I believe this had something to do with the fact I was working on a project built with qgis 2.4. When I created a new project with QGIS 2.6 and tried to do

the same thing it did not freeze.
